Status JSON
Returns CORS-enabled status data for custom frontend indicators.
GET
/widgets/{statusPageId}/status.json
Returns CORS-enabled status data for custom frontend indicators.
Path Parameters
statusPageId
string
required
path
Status page ID
Responses
200
Status data
application/jsonstatus
string
Enum:
operational, degraded, partial_outage, major_outageoverall
string
incidents
object[]
Array of:
maintenance
object[]
Array of:
curl -X GET 'https://happyuptime.com/api/v1/widgets/string/status.json'
const response = await fetch('https://happyuptime.com/api/v1/widgets/string/status.json', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://happyuptime.com/api/v1/widgets/string/status.json')print(response.json())
200
Response
{ "status": "operational", "overall": "<string>", "incidents": [ "<object>" ], "maintenance": [ "<object>" ]}
API Playground
Try this endpoint
GET
/widgets/{statusPageId}/status.json